Farid Aslan (synthycat) cover image

Farid Aslan (synthycat)

Baku, Azerbaijan

*electronic music playing in the distance*

Listening History

RFC005

106

40:15

RFC004

52

55:40

Tempo Tantrum Vol. 3

24

51:09

RFC001

113

45:20